Debian Bug report logs - #53865
xinetd: y2k glitch.. log reports year 100

version graph

Package: xinetd; Maintainer for xinetd is Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>; Source for xinetd is src:xinetd.

Reported by: ron@microtronics.com.au

Date: Sun, 2 Jan 2000 11:03:00 UTC

Severity: important

Found in version 1:2.1.8.7-1

Fixed in version xinetd/1:2.1.8.8pre6-1

Done: Josip Rodin <jrodin@jagor.srce.hr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <debian-qa@lists.debian.org>:
Bug#53865; Package xinetd. Full text and rfc822 format available.

Acknowledgement sent to ron@microtronics.com.au:
New Bug report received and forwarded. Copy sent to Debian QA Group <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ron@microtronics.com.au
To: submit@bugs.debian.org
Subject: xinetd: y2k glitch.. log reports year 100
Date: Sun, 2 Jan 2000 21:17:56 +1030 (CST)
Package: xinetd
Version: 1:2.1.8.7-1
Severity: normal

at least for log type FILE anyway.

  Ron

-- System Information
Debian Release: potato
Kernel Version: Linux od 2.2.12 #1 Fri Sep 3 15:48:04 CST 1999 i486 unknown

Versions of the packages xinetd depends on:
ii  libc6           2.1.2-11       GNU C Library: Shared libraries and Timezone
ii  libwrap0        7.6-2          Wietse Venema's TCP wrappers library
ii  netbase         3.16-8         Basic TCP/IP networking binaries


Severity set to `important'. Request was from Vincent Renardias <vincent@ldsol.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Josip Rodin <jrodin@jagor.srce.hr>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ron@microtronics.com.au:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 53865-close@bugs.debian.org (full text, mbox):

From: Josip Rodin <jrodin@jagor.srce.hr>
To: 53865-close@bugs.debian.org
Subject: Bug#53865: fixed in xinetd 1:2.1.8.8pre6-1
Date: 9 Jan 2000 20:02:41 -0000
We believe that the bug you reported is fixed in the latest version of
xinetd, which has been installed in the Debian FTP archive:
xinetd_2.1.8.8pre6.orig.tar.gz
  to dists/potato/main/source/net/xinetd_2.1.8.8pre6.orig.tar.gz
  replacing xinetd_2.1.8.7.orig.tar.gz
xinetd_2.1.8.8pre6-1.diff.gz
  to dists/potato/main/source/net/xinetd_2.1.8.8pre6-1.diff.gz
  replacing xinetd_2.1.8.7-1.diff.gz
xinetd_2.1.8.8pre6-1.dsc
  to dists/potato/main/source/net/xinetd_2.1.8.8pre6-1.dsc
  replacing xinetd_2.1.8.7-1.dsc
xinetd_2.1.8.8pre6-1_i386.deb
  to dists/potato/main/binary-i386/net/xinetd_2.1.8.8pre6-1.deb
  replacing xinetd_2.1.8.7-1.deb

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 53865@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josip Rodin <jrodin@jagor.srce.hr> (supplier of updated xinetd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Tue,  4 Jan 2000 23:54:08 +0100
Source: xinetd
Binary: xinetd
Architecture: source i386
Version: 1:2.1.8.8pre6-1
Distribution: unstable
Urgency: low
Maintainer: Josip Rodin <jrodin@jagor.srce.hr>
Description: 
 xinetd     - replacement for inetd with many enhancements
Closes: 53865
Changes: 
 xinetd (1:2.1.8.8pre6-1) unstable; urgency=low
 .
   * New upstream version, packaged only to fix the Y2K glitch in the
     log file, closes: #53865.
   * Adopted/tookover the package :) I hear Norbert is around, but he
     hasn't contacted anyone regarding the package yet.
   * Introducing debconf support, to ask about converting the config file,
     and to warn about update-inetd malfunctioning. However, I didn't remove
     the old method of asking the questions yet, just in case debconf
     doesn't exist. Only Recommends: debconf. Plus, I had to re-route all
     the messages to &2, because of debconf.
   * Added the missing `k' in `syslogd' recommendation (doh!). Added
     Build-Depends: libwrap0-dev.
   * Moved the whole contents of preinst to postinst (that is, stopping of
     inetd and portmap, and creating the diversion of inetd init file),
     no need to abuse preinst for that.
   * Use --background option for start-stop-daemon, to speed up loading,
     thus having to depend on dpkg >= 1.4.1.17.
   * Fixed some details in postinst, init.d, config, and copyright files.
Files: 
 c33d2c392a376ae73624bfc1c96acaf8 601 net optional xinetd_2.1.8.8pre6-1.dsc
 a704300eea0c58620891acaf53b326b3 257945 net optional xinetd_2.1.8.8pre6.orig.tar.gz
 3cdf87fa1716d222e0674fc54a0a3192 9165 net optional xinetd_2.1.8.8pre6-1.diff.gz
 6e347c7487bb6c0f17e56434cbf280cc 97658 net optional xinetd_2.1.8.8pre6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.0 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE4eJ0+C1RHoiANFZYRAramAJ9jhi6WD6tg9nJJ9S/OjPvJ010+eACgz3bc
Dfp9pIuYJJLUoguaVgKB7p4=
=fQ6P
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:31:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.